Get your APE up-to-date

After developing an APE application for quite some time now, it was time for me to install an APE server on the future production environment.

Since it created some hassle for me, not doing THIS every day, here’s a small log that might help you (or me some time later) to do the same, Upadate your APE server to the latest git version

I’m doing this on a debian 32 bit.

Since I am lazy, I will first install the deb package so I get all the nice entries in /etc/init.d, have the lib files placed in the correct directories…
And in a second step replace the ape version with the current one from github.

1: Install the “old” 1.0 package from the website

Download your package (like APE_Server-1.0.i386.deb) from to the machine.

Run dpkg -i APE_Server-1.0.i386.deb

In case this already fails, you might need to check if there are any libraries missing (see below)

2: Get the latest version

To get the latest version from github, I usually do

svn co
git clone

This will create a APE_Server.git directory in your current location. Now compile it:

3: Compile the new version

cd APE_Server.git

You can have different types of errors here, most of them related to the fact that you might not have all compilers or libraries installed. If this happens, try:

aptitude install make
aptitude install gcc
aptitude install g++
aptitude install python
aptitude install zip
aptitude install mysql

To be honest, I am not sure which libraries are required exactly – but this did the job for me. And if I could have installed the specific required libraries only I don’t care… as long as I get what I need.

After a finished compile (it can take a couple of seconds/minutes, warnings flying by…) you are ready to replace the existing ones.

4: Replace old files

Basically have to replace two files:

aped and

If running, stop your ape

/etc/init.d/ape-server stop

Copy the new files from your compile dir to their designated locations:

cp bin/aped /usr/bin/aped
cp modules/lib/ /usr/lib/ape/

(Paths may vary depending on system and linux distribution)

Restart your ape

/etc/init.d/ape-server start

If you connect to your ape server (e. g. with your browser, it should show you the version info with current build time

Corrections, additions, suggestions and comments welcome

5 thoughts on “Get your APE up-to-date

  1. Hi. Thanks for this guide. I am using Centos5. Do you know where the paths would be in Centos 5? I ran “locate” and it only found one file in my original “/usr/lib/ape/” directory. So I can’t a file to replace the existing “/usr/lib/ape/” file anywhere. Thank you for your time.


  2. The new file would be INSIDE your compiled directory – if the compile succeeds.

    cd modules/lib/
    ls -l
    after the compile and check

  3. I actually had an older version of MYSQL that was causing the install to hangup. Once I upgraded that, I saw was able to complete the install going off of your guide. Thank you very much!

    Take care,


  4. Hi,

    Thank you a bunch for your kind help, the ape project website its being spammed , and it looks that none of the dev team care about this fact..
    The community its stating to get desperate and beginning to the end of this great software..
    I have seen a post on twitter with you and paraboul please let him know that the website documentation its dying, new user will now be able to learn and wont use this great software..

    appreciate your kind help

    regards UTAN

  5. Pingback: Karopapier, symfony und der ganze Rest » Blog Archive » How to trace down a memory leak in APE with valgrind

Leave a Reply